> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-sv-bsv/bsv_getnetworkhashps.md).

# getnetworkhashps - Bitcoin SV

Example code for the getnetworkhashps json-rpc method. Сomplete guide on how to use getnetworkhashps json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`nblocks` - numeric, optional, default=120

The number of blocks, or -1 for blocks since last difficulty change.

`height` - numeric, optional, default=-1

To estimate at the time of the given height.

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "getnetworkhashps",
"params": [null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": 2.333876557488516e+18
}
```
